C  ==== TO PRINT INPUT DATA===========
      SUBROUTINE COMON( Z,R,BET,H,GAM,EPS,ALFA,
     *NE,IN,IL,IQ,DIR,NU,KK,ISIGM1,ISIGM2,IS,L1,S1)
      REAL*8ALFA,BET,H,Z,EPS,GAM(NU),R
      INTEGER NE,L1,S1, KK(NU),ISIGM1(NU),ISIGM2(NU),
     *IN(IS),IL(IS),IQ(IS),DIR(IS)
      WRITE(6, 5)Z
    5 FORMAT(16H   ATOMIC NUMBER,15X,F4.1,//
     */15H CONFIGURATION:/   ,
     *  '        N              L         ',
     *'     Q             SPI   '/)
      DO 6 IZCH=1,IS
      WRITE(6, 7)IN(IZCH),IL(IZCH),IQ(IZCH),DIR(IZCH)
   6  CONTINUE
    7 FORMAT(' ',3X,I5,10X,I5,10X,I5,10X,I5)
      WRITE(6, 16)S1,L1
   16 FORMAT(/' TERM    2S+1=',I3,'   L=',I3)
      WRITE(6, 8)
    8  FORMAT(//' ','COEFFICIENTS ')
112   WRITE(6, 87)
   87 FORMAT('  GAM    ',   11X,'INTERSHELL ',
     *' INTERACTION ',/21X,'K',3X,
     *' ISIGM1','    ISIGM2')
      IF(NU.LT.1) GOTO 21
      DO 9 IZCH=1,NU
      WRITE(6, 10)GAM(IZCH),KK(IZCH),
     *ISIGM1(IZCH),ISIGM2(IZCH)
    9 CONTINUE
   10 FORMAT(' ',E15.8,1X,I5,3X,I5,5X,I5)
   21 CONTINUE
   11 FORMAT(F15.8)
      WRITE(6, 12)EPS
   12 FORMAT(/9H ACCURACY,15X,F15.8)
      WRITE(6, 13)R,NE,H,BET,ALFA
   13 FORMAT(' R MAX',22X,E15.8/
     *28H NO.OF INTEGRATION POINTS   ,
     *I4/19H STEP SIZE         ,9X,
     *E15.8/4H BET,24X,E15.8/5H ALFA,
     *23X,E15.8)
      RETURN
      END
